[**@rxap/window-system v19.0.3-dev.0**](../README.md)

***

[@rxap/window-system](../globals.md) / WindowTaskComponent

# Class: WindowTaskComponent

Defined in: [packages/angular/window-system/src/lib/window-task-bar/window-task/window-task.component.ts:32](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-task-bar/window-task/window-task.component.ts#L32)

## Constructors

### new WindowTaskComponent()

> **new WindowTaskComponent**(): [`WindowTaskComponent`](WindowTaskComponent.md)

#### Returns

[`WindowTaskComponent`](WindowTaskComponent.md)

## Properties

### window

> **window**: [`WindowRef`](WindowRef.md)\<`any`\>

Defined in: [packages/angular/window-system/src/lib/window-task-bar/window-task/window-task.component.ts:34](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-task-bar/window-task/window-task.component.ts#L34)

## Methods

### close()

> **close**(): `void`

Defined in: [packages/angular/window-system/src/lib/window-task-bar/window-task/window-task.component.ts:36](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-task-bar/window-task/window-task.component.ts#L36)

#### Returns

`void`

***

### reopen()

> **reopen**(): `void`

Defined in: [packages/angular/window-system/src/lib/window-task-bar/window-task/window-task.component.ts:40](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-task-bar/window-task/window-task.component.ts#L40)

#### Returns

`void`
